boost::geometry::model::multi_linestring< LineString, Container, Allocator > Class Template Reference
geometries: geometries provided by default

multi_line, a collection of linestring More...

List of all members.

## Public Member Functions

| multi_linestring ()
| Default constructor, creating an empty \1.
| multi_linestring (std::initializer_list< LineString > l)
| Constructor taking std::initializer_list, filling the \1.

## Detailed Description

### template<typename LineString, template< typename, typename > class Container = std::vector, template< typename > class Allocator = std::allocator>
class boost::geometry::model::multi_linestring< LineString, Container, Allocator >

multi_line, a collection of linestring

Multi-linestring can be used to group lines belonging to each other, e.g. a highway (with interruptions)

## Constructor & Destructor Documentation

template<typename LineString , template< typename, typename > class Container = std::vector, template< typename > class Allocator = std::allocator>

boost::geometry::model::multi_linestring< LineString, Container, Allocator >::multi_linestring | ( |  | ) |

Default constructor, creating an empty \1.

template<typename LineString , template< typename, typename > class Container = std::vector, template< typename > class Allocator = std::allocator>

boost::geometry::model::multi_linestring< LineString, Container, Allocator >::multi_linestring | ( | std::initializer_list< LineString > | l | ) |

Constructor taking std::initializer_list, filling the \1.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK